UCSIM(1)

NAME
uCsim - Micro-controller simulator

SYNOPSIS
s51|sz80|savr|sxa|shc08|spdk|sst7|sstm8|stlc -ttype -Xfreq[k|M] -Cfile -cfile -Zportnum -sfile -Soptions -Ioptions -pprompt -P -g -G -anr -w -V -H -h

DESCRIPTION
s51 command is used to simulate MCS51 controller family. sz80 command is Z80 simulator.

Options of the command

-t type
    Specifies type of the controller. Use -H to list possible values.

-X freq[k|M]
    XTAL frequency in Hz, Use k or M suffix to specify frequency in kHz or MHz.

-C file
    Read initial commands from file and execute them.

-c file
    Open command console on file (use - for std in/out).

-Z portnum
    Use localhost:portnum for command console

-k portnum
    Use localhost:portnum for serial I/O

-s file
    Connect serial interface uart0 to file

-S options
    options is a comma separated list of options according to serial interface. Know options are:
    uart=nr number of uart (default=0)
    in=file serial input will be read from file named `file'
    out=file serial output will be written to `file'
    port=nr Use localhost:nr as server for serial line
    iport=nr Use localhost:nr as server for serial input
    oport=nr Use localhost:nr as server for serial onput

-I options
    options is a comma separated list of options according to simulator interface. Known options are:
    if=memory[address] turn on interface on given memory location
    in=file specify input file for IO
    out=file specify output file for IO

-p prompt
    Specify string for prompt

-P  Prompt is a null ('\0') character

-g  Go, start simulation

-G  Go, start simulation, quit on stop

-a nr
    Specify size of variable space (default=256)

-w  Writable flash

-V  Verbose mode

-v  Print out version number and quit

-H  Print out types of known CPUs and quit

-h  Print out this help and quit

EXAMPLES
None yet.

SEE ALSO
sdcc(1), sdcdb(1).

BUGS
Probably many.

AUTHORS
Daniel Drotos, Gunar Holm, Sandeep Dutta, Salvador Eduardo Tropea, Josef Wolf, Stephane Meyer, Larry Doolittle, Timothy Hurman, Karl-Max Wagner, Edmar Wienskoski Jr, Alexandre Frey, Kaido Karner, Kalr Bongers, Alexis Pavlov, Davine Zanni, Anton Persson, Nicolas Lesser